I2C_SMBUS_WRITE_BLOC(9)

NAME
i2c_smbus_write_block_data - SMBus “block write” protocol

SYNOPSIS

s32 i2c_smbus_write_block_data(const struct i2c_client * client, u8 command, u8 length, const u8 * values);

ARGUMENTS

client
    Handle to slave device

command
    Byte interpreted by slave

length
    Size of data block; SMBus allows at most 32 bytes

values
    Byte array which will be written.

DESCRIPTION

This executes the SMBus “block write” protocol, returning negative errno else zero on success.

COPYRIGHT